:root {
  --main-color: #daaf6b;
  --text-color: #eae3d9;
  --extra-color: #b4b4b4;
  --main-font: "IBM Plex Mono", monospace;
  --highlight-font: "Caveat", cursive;
  --sidepanel-background: #333000;
  --section-background: #141817;
}



html {
  font-size: 16px;
}

body {
  background-color: #0B110F;
  font-size: 1rem;
  color: var(--text-color);
  font-family: var(--main-font);
  padding-left: 7%;
  padding-right: 7%;
}

@media (max-width: 1600px) {

body {
padding-left: 0%;
  padding-right: 0%;
}

}

body a:hover {
  text-decoration: underline;
}

.signature {
  font-family: var(--highlight-font);
  font-size: 2rem;
  color: var(--main-color);
}

/*så att meny och sidebar hamnar rätt på sidorna*/

.layout {
  display: grid;
  grid-template-columns: 300px 1fr 300px;
  grid-template-areas:
    "nav header sidebar"
    "nav content sidebar";
    padding-left: 25px;
  padding-right: 25px;
    

  gap: 2rem;
  align-items: start;
}

/*=====koppla ihop grid-områdena med klasserna i HTML:en =====*/

.sidebar-left {
  grid-area: nav;
}

header {
  grid-area: header;
}

.content {
  grid-area: content;
}

.sidebar-right {
  grid-area: sidebar;
}




/* ===== STICKY SIDEBARS ===== */

.sidebar-left,
.sidebar-right {
  position: sticky;
  top: 0; /* viktigt: börja längst upp */
  height: fit-content;
}


/* ===== HAMBURGER (desktop: gömd) ===== */

.menu-toggle {
  display: none;
  font-size: 2rem;
  background: none;
  border: none;
  cursor: pointer;
}

/*--------------------------------------------------------------*/



h1 {
  font-size: clamp(1.5rem, 2.5vw, 2.5rem);
  font-weight: 400;
  color: var(--main-color);
  
}

h2 {
  font-size: 1.5rem;
  font-weight: 400;
}

p {
  font-size: 1rem;
}

a{ color: var(--main-color);}

/*MENY---------------------------------*/

nav {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  
  gap: 1rem;
}

nav a {
  text-decoration: none;
  color: var(--text-color);
  font-family: var(--main-font);
  font-size: 1.2rem;
}
nav .menu-logo {
  font-family: var(--highlight-font);
  color: var(--main-color);
  font-size: 2.5rem;
  margin-bottom: 2rem;
}

nav ul {  
  text-align: left;  
list-style-type: none;
margin-bottom: 2rem;
}

nav li {
  margin-bottom: 1rem;
}

nav p {
  text-align: center;
  color: var(--extra-color);
  margin-bottom: 2rem;
}

.menu-decoration {
  width: 50%;
}

.extra-title {
  margin-bottom: 1.5rem;
}


/*HEADER-------------------------------*/


.site-header {
  background-image: url('/images/header.jpg');
  background-size:cover;
  background-position: right;
  background-repeat: no-repeat;
  height: 400px;
  max-width: 1200px;

  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  padding-left: 10%;
  padding-top: 10px;
  color: white;
  text-align: center;
  position: relative;
}

.site-title{
  color: var(--main-color);
  font-family: var(--highlight-font);
  font-size: clamp(2.4rem, 3.5vw, 5rem);
  
}


header a{
  text-decoration: none;
}

header a:hover{
  text-decoration: none;
}



.tagline {
  font-size: clamp(0.9rem, 1vw, 1.8rem);
  line-height: 0.2rem;
  color: var(--text-color);
}

/*SIDEBAR---------------------------------*/

.sidebar-right {
  padding-top: 2rem;

 
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  
  gap: 3rem;
}

.sidebar-right h3 {
  
  color: var(--main-color);
  font-family: var(--highlight-font);
  font-size: 2rem;
  font-weight: 400;
}

.sidebar-right .quote{
  text-align: center;
  color: var(--extra-color);
}


/*----------------------status----------------------*/

.status {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

/*tiny status----------------------------------------------------------*/
.tiny-status {
    display: grid;

    grid-template-columns: 100px 1fr;
    grid-template-rows: auto 1fr;

    grid-template-areas:
        "header header"
        "icon content";

    /*width: 260px;*/

    border: 1px solid #777;

    background: #111;
    color: #ccc;

    text-align: left;
}

/* Header */
.tiny-status h3 {
    grid-area: header;

    margin: 0;
    padding: 0.6rem 0.8rem;

    border-bottom: 1px solid #777;

    background-color: #212725;

    font-size: 1.2rem;
    font-family: var(--main-font);
    line-height: 1rem;
    
    letter-spacing: 0.08em;

    

    color: #d6b06a;
}

/* Bild */
.tiny-status__icon {
    grid-area: icon;

    width: 100%;

    padding: 1rem;

    box-sizing: border-box;
}

/* Status-text */
.tiny-status__content {
    grid-area: content;

    display: flex;
    align-items: center;

    padding: 0.6rem;

    line-height: 1.2;
    color: var(--extra-color);
}

/*-----VHS status---------------------------------*/
.vhs-status {
    display: grid;

    grid-template-columns: 100px 1fr;
    grid-template-rows: auto 1fr;

    grid-template-areas:
        "header header"
        "icon content";

    /*width: 260px;*/

    border: 1px solid #777;
    
    color: var(--extra-color);

    text-align: left;
}

.vhs-status h3 {
  grid-area: header;
    margin: 0;
    padding: 0.6rem 0.8rem;
    border-bottom: 1px solid #777;
    background-color: #212725;
    font-size: 1.2rem;
    font-family: var(--main-font);
    line-height: 1rem;    
    letter-spacing: 0.08em;
    color: #d6b06a;
}

.vhs-status img {
    grid-area: icon;

    width: 100%;

    padding: 1rem;

    box-sizing: border-box;
}

.vhs-status__texts {
    grid-area: content;
    padding: 0.6rem;
    line-height: 1.2;
    color: var(--extra-color);
}

.vhs-movie {
  margin-bottom: 0.5rem;
}

.vhs-tracking {
  font-size: 0.8rem;
}

/*----------CAT STATUS------------------------------------------------------*/

/*tiny status----------------------------------------------------------*/
.cat-status {
    display: grid;

    grid-template-columns: 100px 1fr;
    grid-template-rows: auto 1fr;

    grid-template-areas:
        "header header"
        "icon content";

    /*width: 260px;*/

    border: 1px solid #777;

    background: #111;
    color: #ccc;

    text-align: left;
}

/* Header */
.cat-status h3 {
    grid-area: header;

    margin: 0;
    padding: 0.6rem 0.8rem;

    border-bottom: 1px solid #777;

    background-color: #212725;

    font-size: 1.2rem;
    font-family: var(--main-font);
    line-height: 1rem;
    
    letter-spacing: 0.08em;

    

    color: #d6b06a;
}

/* Bild */
.cat-status__icon {
    grid-area: icon;

    width: 100%;

    padding: 1rem;

    box-sizing: border-box;
}

/* Status-text */
.cat-status__content {
    grid-area: content;

    display: flex;
    align-items: center;

    padding: 0.6rem;

    line-height: 1.2;
    color: var(--extra-color);
}


/*-------------LETTERBOXD RUTA---------------------------------------------*/

.letterboxd {
    display: grid;

    grid-template-columns: 100px 1fr;
    grid-template-rows: auto 1fr;

    grid-template-areas:
        "header header"
        "icon content";

    /*width: 260px;*/

    border: 1px solid #777;

    background: #111;
    color: #ccc;

    text-align: left;
}

/* Header */
.letterboxd h3 {
    grid-area: header;

    margin: 0;
    padding: 0.6rem 0.8rem;

    border-bottom: 1px solid #777;

    background-color: #212725;

    font-size: 1.2rem;
    font-family: var(--main-font);
    line-height: 1rem;
    
    letter-spacing: 0.08em;

    

    color: #d6b06a;
}

/* Bild */
.letterboxd__icon {
    grid-area: icon;

    width: 100%;

    padding: 1rem;

    box-sizing: border-box;
}

/* letterboxd-text */
.letterboxd__content {
    grid-area: content;

    display: flex;
    align-items: center;

    padding: 0.6rem;

    line-height: 1.2;
    color: var(--extra-color);
}

.letterboxd__content a {
  text-decoration: none;
}



/*sections, rutnät med ikoner för kategorier----------------------------------*/

.sections {
  display: grid;
  gap: 1.5rem;
  grid-template-columns: repeat(1, 1fr);
  margin-bottom: 2rem;
}

@media (min-width: 500px) {
  .sections {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (min-width: 800px) {
  .sections {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (min-width: 1100px) {
  .sections {
    grid-template-columns: repeat(4, 1fr);
  }
}

.sections h2{
  text-decoration:none;
  font-family: var(--highlight-font);
  font-size: clamp(1.5rem, 2vw, 2.5rem);
  color: var(--main-color);
}
  

.sections p{
  font-family: var(--main-font);
  color: var(--text-color);
  font-size: clamp(0.5rem, 1vw, 1rem);
}

.card{
    
  /*background-color: var(--section-background);*/
  border: grey solid 1px;

  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content:flex-start;

  aspect-ratio: 1 / 1;
  padding-bottom: 20px;
}

.card:hover img {
  filter: brightness(0.5);
}

/* ===== CONTENT =====-------------------------------------------*/

.intro  {
  /*margin-left: 1rem;*/
  margin-bottom: 2rem;
  
  
}

.intro h2 {
  color: var(--main-color);  
}


article{
  
  max-width: 1000px;
  margin: auto;
}

.textbox {
  max-width: 750px;
  margin: 0 auto;
}

main {
  
  /*max-width: 950px;*/
  margin: 0 auto;
  padding: 2rem;
}

/*POST--------------------------------*/

.post {
  
  border: 1px solid grey;
  padding: 3rem;
}

.post .slogan{
  font-size: 1.5rem;
}

.post .meta{
  margin-bottom: 1.5rem;
}

.post p{
  
  line-height: 1.6;
  margin-bottom: 1.5rem;
}

.post h3{
  font-size: 1.8rem;
  font-weight: 400;
  margin-bottom: 1rem;
}

.post a{
  text-decoration: none;
}

.post .date {
  font-size: 0.9rem;
}

.post .tags {
  font-size: 0.8rem;
}

.post .tags a{
  text-decoration: none;
  color: var(--text-color);
}

.post img{
  margin-bottom: 2rem;
}



/*category pages design---------------------------------*/
.post-preview {
  display: flex;
  gap: 1rem;
  margin-bottom: 3em;
  align-items: flex-start;
}

.post-preview img {
  width: 150px;
  height: auto;
  object-fit: cover;
  border-radius: 8px;
  border: 1px solid grey;
}

.post-preview-content {
  max-width: 600px;
}

.post-preview h2 {
  margin: 0 0 0.5rem 0;
}

.post-preview .meta {
  font-size: 0.9rem;
  color: var(--text-color);
}

.post-preview .excerpt {
  margin-top: 1rem;
}

.post-preview a {
  text-decoration: none;
}

.post-preview .date {
  font-size: 0.9rem;
}

.post-preview .tags {
  font-size: 0.8rem;
}

.post-preview .tags a{
  text-decoration: none;
  color: var(--text-color);
}

/*----ALL POSTS & PAGINATION---------------------------------*/

.pagination {
  display: flex;
  gap: 0.5rem;
  flex-wrap: wrap;
  margin-top: 2rem;
}

.pagination a {
  padding: 0.5rem 1rem;
  background: #333;
  text-decoration: none;
}

.pagination a.active {
  font-weight: bold;
}




/*FOOTER---------------------------------*/
footer{
  margin-top: 10em;
  text-align: center;
}

footer nav {
  display: flex;
  flex-direction: row;
  justify-content: center;
  gap: 2rem;
}

footer a {
  text-decoration: none;
  color: var(--main-color);
  /*font-family: var(--highlight-font);*/
  font-size: 1.2rem;
}

footer p {
  font-size: 0.8rem;
}

/*latest posts---------------------------------*/

.latest-posts h2 {
  margin-bottom: 1rem;
}

.latest-posts-list {
  background-color: #141917;
  border: 1px solid grey;
  
  padding: 1rem;
  margin-bottom: 1rem;
}

.latest-card {
  margin-bottom: 1rem;  
  overflow: hidden;
}

.latest-card-content {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 2rem;
}



.latest-card a {
  font-weight: 400;
  text-decoration: none;
}

.view-all {
  text-decoration: none;
}

/*---------Mobile first post---------------*/

.mobile-latest-post {
    display: none;
}

@media (max-width: 768px) {

    .mobile-latest-post {
        display: block;
        margin-bottom: 2rem;
    }

}

.mobile-latest-post h2 {
    font-size: clamp(1.5rem, 5vw, 2rem);
    margin-bottom: 1rem;
    color: var(--main-color)
}

.mobile-post-card {
    border: 1px solid #6d6d6d;
    background: #050505;
    padding: 1rem;
}

.mobile-post-content h3 {
    margin-bottom: 0.4rem;
    font-size: 1.5rem;
}

.mobile-post-content h3 a {
    color: #b18a52;
    text-decoration: none;
}

.mobile-post-meta {
    font-size: 1rem;
    color: #9a9a9a;
    margin-bottom: 1rem;
}

.mobile-post-image {
    width: 100%;
    display: block;
    margin-bottom: 1rem;
}

.mobile-post-excerpt {
    color: #d0d0d0;
    line-height: 1.5;
}

.mobile-post-excerpt a {
    color: #b18a52;
    text-decoration: none;
    font-weight: bold;
}

/* ===== MOBIL ====================================================================================================
================================================================================================================= */

@media (max-width: 1400px) {

  body {
    padding-left: 0px;
    padding-right: 0px;
  }
}


@media (max-width: 900px) {

  .site-header {
    min-height: 150px;
    justify-content: flex-start;
  }

 

  .layout {
    grid-template-columns: 1fr;
    grid-template-areas:
      "header"
      "content"
      "sidebar";
      padding-left: 1rem;
    padding-right: 1rem;
  }

  /* Dölj vänstermenyn (den blir popup istället) */
 

  .content {
    grid-area: content;
  }

  main {
    padding: 0rem;
  }

  nav .menu-logo {
  font-size: 1.9rem;
}

  /*---------rutnät med kategorier---------------------------*/

  .sections h2{ 
  font-size: 2rem;
}

.sections p {
  font-size: 1rem;
}

  .sidebar-right {
    grid-area: sidebar;
    position: static; /* sticky av på mobil */
    justify-self: center;
  }

  /* Visa hamburgare */
  .menu-toggle {
    position:fixed;
align-self: flex-end;
    display: block;
    color: var(--main-color);
    background-color: darkgray;
    border-radius: 8px;
    font-size: 2rem;
  background:rgba(0, 0, 0, 0.459);
  border: none;
  cursor: pointer;
  }

  .sidebar-left {
    position: fixed !important;
    top: 0;
    left: -100%;
    height: 100%;
    width: 260px;
    background: var(--section-background);
    padding: 2rem;
    transition: left 0.3s ease;
    z-index: 9999;
  }

  .sidebar-left.open {
    left: 0;
  }

.enter {
  display: none;
}


}